<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">


    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/verdnatura_black">

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/scan_input"
            style="@style/ScanLineTextSearch"
            android:layout_width="match_parent"
            android:hint="@string/Escaneaetiqueta"
            android:inputType="textVisiblePassword"
            android:lines="1"
            android:maxLines="1"
            android:textColorHint="@android:color/white"
            android:visibility="invisible"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@+id/main_toolbar" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/itemData"
            android:textColor="@color/verdnatura_white"
            android:textSize="@dimen/bodyPicker"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/scan_input"
            />

        <LinearLayout
            android:id="@+id/itemDetails"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="30dp"
            android:layout_marginStart="40dp"
            android:layout_marginEnd="40dp"

            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/scan_input">


            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1.25"
                android:orientation="vertical"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@+id/scan_input">

                <EditText
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:enabled="false"
                    android:text="@string/item"
                    android:textColor="@color/verdnatura_white"
                    android:textSize="@dimen/bodyPicker" />

                <EditText
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:enabled="false"
                    android:text="@string/shelving"
                    android:textColor="@color/verdnatura_white"
                    android:textSize="@dimen/bodyPicker" />

                <EditText
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:enabled="false"
                    android:text="@string/quantityTxt"
                    android:textColor="@color/verdnatura_white"
                    android:textSize="@dimen/bodyPicker" />

                <EditText
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:enabled="false"
                    android:text="@string/price"
                    android:textColor="@color/verdnatura_white"
                    android:textSize="@dimen/bodyPicker" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="vertical"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@+id/scan_input">

                <EditText
                    android:id="@+id/itemFK"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/item"
                    android:inputType="none"
                    android:focusable="false"
                    android:textColor="@color/verdnatura_orange_salix"
                    android:textSize="@dimen/bodyPicker" />

                <EditText
                    android:id="@+id/shelvingFK"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/shelving"
                    android:focusable="false"
                    android:inputType="none"
                    android:textColor="@color/verdnatura_orange_salix"
                    android:textSize="@dimen/bodyPicker" />

                <EditText
                    android:id="@+id/quantity"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/quantity"
                    android:textColor="@color/verdnatura_orange_salix"
                    android:textSize="@dimen/bodyPicker"
                    android:inputType="number"
                    android:imeOptions="actionDone"/>

                <EditText
                    android:id="@+id/price"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/price"
                    android:textColor="@color/verdnatura_orange_salix"
                    android:textSize="@dimen/bodyPicker"
                    android:inputType="numberDecimal"
                    android:imeOptions="actionDone"/>
            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="50dp"
            android:orientation="vertical"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/itemDetails">

            <Button
                android:id="@+id/btnChangeCategory"
                style="@style/DefaultButton.NormalButton"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/titleChangeCategory">

            </Button>

        </LinearLayout>

        <include
            android:id="@+id/main_toolbar"
            layout="@layout/toolbar_fragment"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />


    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>